Cupti: CUpti_ActivityDevice Struct Reference

# CUpti_ActivityDevice Struct Reference
[CUPTI Activity API]

The activity record for a device. (deprecated). More...

## Data Fields
uint32_t | computeCapabilityMajor
uint32_t | computeCapabilityMinor
uint32_t | constantMemorySize
uint32_t | coreClockRate
CUpti_ActivityFlag | flags
uint64_t | globalMemoryBandwidth
uint64_t | globalMemorySize
uint32_t | id
CUpti_ActivityKind | kind
uint32_t | l2CacheSize
uint32_t | maxBlockDimX
uint32_t | maxBlockDimY
uint32_t | maxBlockDimZ
uint32_t | maxBlocksPerMultiprocessor
uint32_t | maxGridDimX
uint32_t | maxGridDimY
uint32_t | maxGridDimZ
uint32_t | maxIPC
uint32_t | maxRegistersPerBlock
uint32_t | maxSharedMemoryPerBlock
uint32_t | maxThreadsPerBlock
uint32_t | maxWarpsPerMultiprocessor
const char * | name
uint32_t | numMemcpyEngines
uint32_t | numMultiprocessors
uint32_t | numThreadsPerWarp

## Detailed Description

This activity record represents information about a GPU device (CUPTI_ACTIVITY_KIND_DEVICE). Device activity is now reported using the CUpti_ActivityDevice2 activity record.

## Field Documentation

uint32_t CUpti_ActivityDevice::computeCapabilityMajor

Compute capability for the device, major number.

uint32_t CUpti_ActivityDevice::computeCapabilityMinor

Compute capability for the device, minor number.

uint32_t CUpti_ActivityDevice::constantMemorySize

The amount of constant memory on the device, in bytes.

uint32_t CUpti_ActivityDevice::coreClockRate

The core clock rate of the device, in kHz.

CUpti_ActivityFlag CUpti_ActivityDevice::flags

The flags associated with the device.

See also:
  CUpti_ActivityFlag

uint64_t CUpti_ActivityDevice::globalMemoryBandwidth

The global memory bandwidth available on the device, in kBytes/sec.

uint64_t CUpti_ActivityDevice::globalMemorySize

The amount of global memory on the device, in bytes.

uint32_t CUpti_ActivityDevice::id

The device ID.

CUpti_ActivityKind CUpti_ActivityDevice::kind

The activity record kind, must be CUPTI_ACTIVITY_KIND_DEVICE.

uint32_t CUpti_ActivityDevice::l2CacheSize

The size of the L2 cache on the device, in bytes.

uint32_t CUpti_ActivityDevice::maxBlockDimX

Maximum allowed X dimension for a block.

uint32_t CUpti_ActivityDevice::maxBlockDimY

Maximum allowed Y dimension for a block.

uint32_t CUpti_ActivityDevice::maxBlockDimZ

Maximum allowed Z dimension for a block.

uint32_t CUpti_ActivityDevice::maxBlocksPerMultiprocessor

Maximum number of blocks that can be present on a multiprocessor at any given time.

uint32_t CUpti_ActivityDevice::maxGridDimX

Maximum allowed X dimension for a grid.

uint32_t CUpti_ActivityDevice::maxGridDimY

Maximum allowed Y dimension for a grid.

uint32_t CUpti_ActivityDevice::maxGridDimZ

Maximum allowed Z dimension for a grid.

uint32_t CUpti_ActivityDevice::maxIPC

The maximum "instructions per cycle" possible on each device multiprocessor.

uint32_t CUpti_ActivityDevice::maxRegistersPerBlock

Maximum number of registers that can be allocated to a block.

uint32_t CUpti_ActivityDevice::maxSharedMemoryPerBlock

Maximum amount of shared memory that can be assigned to a block, in bytes.

uint32_t CUpti_ActivityDevice::maxThreadsPerBlock

Maximum number of threads allowed in a block.

uint32_t CUpti_ActivityDevice::maxWarpsPerMultiprocessor

Maximum number of warps that can be present on a multiprocessor at any given time.

const char* CUpti_ActivityDevice::name

The device name. This name is shared across all activity records representing instances of the device, and so should not be modified.

uint32_t CUpti_ActivityDevice::numMemcpyEngines

Number of memory copy engines on the device.

uint32_t CUpti_ActivityDevice::numMultiprocessors

Number of multiprocessors on the device.

uint32_t CUpti_ActivityDevice::numThreadsPerWarp

The number of threads per warp on the device.